<?php
declare(strict_types=1);

namespace Catequil\Invoice\Model;

/**
 * Interface InvoiceAddressInterface
 *
 * @package Catequil\Invoice\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-invoice
 */
interface InvoiceAddressInterface
{
    public function getAddress1(): string;
    public function getAddress2(): string;
    public function getCity(): string;
    public function getCompanyName(): string;
    public function getCountry(): string;
    public function getEmailAddress(): string;
    public function getFirstName(): string;
    public function getFullName(): string;
    public function getLastName(): string;
    public function getPhoneNumber(): string;
    public function getPostCode(): string;
}