<?php
declare(strict_types=1);

namespace Catequil\Invoice\Model;

/**
 * Interface InvoiceItemInterface
 *
 * @package Catequil\Invoice\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-invoice
 */
interface InvoiceItemInterface
{
    public function getSortNo(): int;
    public function getSku(): string;
    public function getName(): string;
    public function getQuantity(): int;
    public function getRegularPrice(): float|int;
    public function getRebate(): float|int;
    public function getTotal(): float|int;
}