<?php
declare(strict_types=1);

namespace Catequil\Invoice\Model;

/**
 * Interface InvoicePaymentInterface
 *
 * @package Catequil\Invoice\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-invoice
 */
interface InvoicePaymentInterface
{
    public function getAmount(): float;
    public function getDescription(): string;
}